Bug 2461 - suexec compile-time setup broken
: suexec compile-time setup broken
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache-suexec)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-04-02 13:52 by
Modified: 2005-08-30 02:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-04-02 13:52:07
Current build apparently has 
DOC_ROOT=/home
which breaks suexec when docroots are under /var/www, as is the current behavior.

OTOH changing that would break user home pages using suexec under /home.  Not sure this outweighs though.
---

---
problem noted by \&quot;Dmitry A. Legkikh\&quot; &lt;<a href="mailto:dxod@okclub.org&gt" target="_new">dxod@okclub.org&gt</a>;, see <a href="http://altlinux.ru/pipermail/community/2003-March/078341.html">http://altlinux.ru/pipermail/community/2003-March/078341.html</a>
------- Comment #1 From 2003-08-25 19:44:40 -------
It is common set up for small hostings when suexec is used in cojunction with
user home directories in ~/public_html/
------- Comment #2 From 2005-01-25 19:11:03 -------
[18:59:16] <cray> А зачем два suexec? 
[18:59:35] <Michael Shigorin> один -- для тех, кому нужен /home, другой -- для 
тех, кому /var/www 
[18:59:48] <Michael Shigorin> если есть более красивое решение -- добавь в 
обсуждение 
[19:00:05] <cray> Дело в том, что я коды посмотрел - DOC_ROOT используется 
только в том случае, когдда вызывается через VirtualHost 
[19:00:19] <Michael Shigorin> о как 
[19:00:25] <Michael Shigorin> брось в bugzilla pls 
[19:00:25] <cray> Во всех остальных случаях хавается userdir 
[19:00:34] <Michael Shigorin> что в общем и логично... 
[19:00:39] <cray> Хорошо 
[19:00:52] <Michael Shigorin> а можешь проверить работоспособность 
пересобранного с /var/www для /home? 
[19:01:07] <cray> В смысле для ~cray ? 
[19:01:12] <Michael Shigorin> наприме 
[19:01:16] <cray> проверю 
[19:01:19] <Michael Shigorin> tnx! 
[19:01:23] <Michael Shigorin> с меня чай :) 
[19:10:13] <cray> проверил. Работает 
------- Comment #3 From 2005-01-29 18:51:16 -------
reopening due to comment #2...
------- Comment #4 From 2005-01-29 18:52:05 -------
I'll take care of the dragon (c)
------- Comment #5 From 2005-01-29 18:55:41 -------
Fixed in 1.3.33rusPL30.20-alt3
------- Comment #6 From 2005-08-24 20:20:48 -------
...который даже скоро может _добраться_ до Sisyphus/backports...
------- Comment #7 From 2005-08-30 02:22:14 -------
closing
------- Comment #8 From 2005-08-30 02:32:19 -------
closing